# -*- coding: utf-8 -*-
"""
Created on Mon Aug 25 10:15:46 2014

@author: manuel
"""

import sys, math
from PyQt4 import QtGui, QtCore

class Example(QtGui.QWidget):
    
    def __init__(self):                         
        super(Example, self).__init__()
        
        self.initUI()
        
    def initUI(self):      

        self.setGeometry(300, 300, 300, 300)
        self.setWindowTitle('Puntos')
        self.show()

    def paintEvent(self, e):

        qp = QtGui.QPainter()
        qp.begin(self)
        self.drawPoints(qp)
        qp.end()
        
    def drawPoints(self, qp):
      
        qp.setPen(QtCore.Qt.blue)
        size = self.size()
        
        for i in range(628):
            x = 150 + 100*math.sin(i/5)
            y = 150 + 100*math.cos(i/5)
            qp.drawPoint(x, y)     

        for i in range(628):
            x = 150 + 130*math.sin(i/5)
            y = 150 +  80*math.cos(i/5)
            qp.drawPoint(x, y)     
            
        for i in range(628):
            x = 150 + 60*math.sin(i/5)
            y = 150 + 60*math.cos(i/5)
            qp.drawPoint(x, y)     
            
        qp.setPen(QtCore.Qt.green )
        for k in range(50,250):
            qp.drawPoint(k, 150)     
            
        qp.setPen(QtCore.Qt.black)
        for k in range(50,250,3):
            qp.drawPoint(150,k)     
            
                
        
def main():
    
    app = QtGui.QApplication(sys.argv)
    ex = Example()
    sys.exit(app.exec_())


if __name__ == '__main__':
    main()
