# -*- coding: utf-8 -*-
"""
Created on Mon Aug 25 10:15:46 2014

@author: manuel
"""

import sys, math
from PyQt4 import QtGui, QtCore

class Example(QtGui.QWidget):
    
    def __init__(self):                         
        super(Example, self).__init__()
        
        self.initUI()
        
    def initUI(self):      

        self.setGeometry(50, 50, 300, 300)
        self.setWindowTitle('Puntos')
        self.setWindowIcon(QtGui.QIcon('./iconos/Bomb.png'))                
        self.show()

    def paintEvent(self, e):

        qp = QtGui.QPainter()
        qp.begin(self)
        self.drawPoints(qp)
        qp.end()
        
    def drawPoints(self, qp):
      
        qp.setPen(QtCore.Qt.blue)
        size = self.size()
        
        
        R = 40.0        
        for j in range(5):
            dt = 1/(1.6*R)
            t = 0.0            
            while t < 2*math.pi :
                x = 150 + 0.8*R*math.cos(t)
                y = 150 + 1.6*R*math.sin(t)
                qp.drawPoint(x, y)
                qp.drawPoint(y, x)
                t += dt
            R += 10    
        
            
        qp.setPen(QtCore.Qt.black)
        for k in range(10,290,3):
            qp.drawPoint(k, 150)     
            qp.drawPoint(150, k)     
            
                
        
def main():
    
    app = QtGui.QApplication(sys.argv)
    ex = Example()
    sys.exit(app.exec_())


if __name__ == '__main__':
    main()
